Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.dev
Class BiffViewer

    java.lang.Object
      org.apache.poi.hssf.dev.BiffViewer

    public final class BiffViewer

extends java.lang.Object

Utillity for reading in BIFF8 records and displaying data from them.

Author:
  Andrew C. Oliver (acoliver at apache dot org), Glen Stampoultzis (glens at apache.org)
See Also:
  `main(java.lang.String[])`

Method Summary
`static Record[]` | `createRecords(java.io.InputStream is, java.io.PrintStream ps, org.apache.poi.hssf.dev.BiffViewer.BiffRecordListener recListener, boolean dumpInterpretedRecords)` Create an array of records from an input stream
`static void` | `main(java.lang.String[] args)` Method main with 1 argument just run straight biffview against given file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createRecords

    public static Record[] createRecords(java.io.InputStream is,
                                         java.io.PrintStream ps,
                                         org.apache.poi.hssf.dev.BiffViewer.BiffRecordListener recListener,
                                         boolean dumpInterpretedRecords)
                                  throws RecordFormatException

  Create an array of records from an input stream

  Parameters:
    `is` - the InputStream from which the records will be obtained
  Returns:
    an array of Records created from the InputStream
  Throws:
    `RecordFormatException` - on error processing the InputStream

### main

    public static void main(java.lang.String[] args)

  Method main with 1 argument just run straight biffview against given file

  Usage:
  BiffViewer [--biffhex] [--noint] [--noescher] [--out] <fileName>
  BiffViewer --rawhex [--out] <fileName>

  --biffhex | show hex dump of each BIFF record
  --noint | do not output interpretation of BIFF records
  --out | send output to <fileName>.out
  --rawhex | output raw hex dump of whole workbook stream
  --escher | turn on deserialization of escher records (default is off)
  --noheader | do not print record header (default is on)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.